## org.opengis.coverage
Interface SolidValuePair

All Superinterfaces:
  GeometryValuePair

    @UML(identifier="CV_SolidValuePair",
         specification=ISO_19123)
    public interface SolidValuePair

extends GeometryValuePair

A geometry-value pair that has a solid as the value of its geometry attribute.

Method Summary
`DomainObject` `getGeometry()` The domain object that is a member of this geometry-value pair.

Methods inherited from interface GeometryValuePair
`getValue`

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  The domain object that is a member of this geometry-value pair.

  Specified by:
    `getGeometry` in interface `GeometryValuePair`
  TODO:
    According ISO-19123, the return value should be `Solid`. But in GeoAPI, geometry objects do not extends `DomainObject`...

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.